log4shib::Properties(3)

NAME
log4shib::Properties

SYNOPSIS

#include <Properties.hh>

Inherits std::map< std::string, std::string >.

  Public Member Functions
Properties ()
virtual ~Properties ()
virtual void load (std::istream &in)
virtual void save (std::ostream &out)
virtual int getInt (const std::string &property, int defaultValue)
virtual bool getBool (const std::string &property, bool defaultValue)
virtual std::string getString (const std::string &property, const char *defaultValue)

  Protected Member Functions
virtual void _substituteVariables (std::string &value)

Constructor & Destructor Documentation

  log4shib::Properties::Properties ()

  log4shib::Properties::~Properties () [virtual]

Member Function Documentation

  void log4shib::Properties::_substituteVariables (std::string & value) [protected], [virtual]

  bool log4shib::Properties::getBool (const std::string & property, bool defaultValue) [virtual]

  int log4shib::Properties::getInt (const std::string & property, int defaultValue) [virtual]

  std::string log4shib::Properties::getString (const std::string & property, const char * defaultValue) [virtual]

  void log4shib::Properties::load (std::istream & in) [virtual]

  void log4shib::Properties::save (std::ostream & out) [virtual]

Author

Generated automatically by Doxygen for log4shib from the source code.